OTPme - Feature #2

add auto-disable option for users
11 January 2015 18:27 - The 2nd

Status: In Bearbeitung Start date: 11 January 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 80%

Category: Estimated time: 0:00 hour
Target version: OTPme 0.3

Description

add an option to automatically disable user (also for groups and tokens? and for user/group relation?)
- after a given time
- after x logins (max_logins)

maybe we should also add enabled/disabled times per user, token group etc.?

History

#1 - 11 January 2015 18:29 - The 2nd

- Target version set to OTPme 0.2

#2 - 11 January 2015 18:32 - The 2nd

- Assignee set to The 2nd

#3 - 14 January 2015 18:26 - The 2nd

disabling user, token etc. should also be possible after being unused for a give time, just like with sessions.

#4 - 09 April 2016 17:32 - The 2nd

- Status changed from Neu to In Bearbeitung

- Target version changed from OTPme 0.2 to OTPme 0.3
- % Done changed from 0 to 80

This feature is implemented as a policy now. This allows us to assign the auto disable feature to users, tokens, hosts etc.

#5 - 26 April 2016 21:02 - The 2nd

e added -u switch to allow disabling a user/token when it is is not used for a given time
